<?php

class Vehiculo 
    {
        // Declaración de los atributos 
		private $color;
		private $peso;
	
		//constructor
		public function __construct($color, $peso) // Constructor pide 2 argumentos.
		{
            $this->color = $color; // Inicialización del color.
            $this->peso = $peso; // Inicialización del peso.
		}
		
		//accesorios
		public function getColor()
		{
            return $this->color; //devuelve el color 
		}
		public function setColor($color)
		{
			$this->color = $color; //escribe en el atributo color
		}
		
		public function getPeso()
		{
            return $this->peso; //devuelve el peso 
		}
		public function setPeso($peso)
		{
			$this->peso = $peso; //escribe en el atributo peso
		}
	
		//métodos públicos				
		public function circular()
		{
			echo "El vehículo circula.<br />";
		}
          
        public function añadir_persona($peso_persona)
		{
			$this->peso = $this->peso + $peso_persona;
		}

}


?>
